Bug 475472 - bugzilla: misplaced #add_comment anchor
bugzilla: misplaced #add_comment anchor
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: User Interface (Show other bugs)
devel
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: Noura El hawary
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-09 07:20 EST by Tomas Hoger
Modified: 2013-06-24 00:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-10 20:34:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
v1 changing comment anchor (1.01 KB, patch)
2008-12-10 09:53 EST, Noura El hawary
dkl: review+
Details | Diff

  None (edit)
Description Tomas Hoger 2008-12-09 07:20:51 EST
Description of problem:
When someone hits "[Reply]" link for some comment, "Additional Comments" text area is pre-filled >-quoted comment text and location is changed to show_bug.cgi?id=<id>#add_comment.  However, the add_comment anchor is placed on the top of the page, right below "External Bugs" section, while input text area is at the bottom.  So the browser is likely to scroll page to the part where there's no input area to fill comment to, forcing user to scroll down again, which is quite annoying for longer bugs.

Additional info:
IIRC, placement of "Additional Comments" below existing comments is a diversion from upstream default.  The anchor needs to be moved accordingly as well.
Comment 1 Noura El hawary 2008-12-10 09:53:10 EST
Created attachment 326515 [details]
v1 changing comment anchor

Thanks for reporting this issue Thomas, attached is patch for the fix.

Noura
Comment 2 David Lawrence 2008-12-10 13:21:17 EST
Comment on attachment 326515 [details]
v1 changing comment anchor

>Index: template/en/default/bug/edit.html.tmpl
>===================================================================
>RCS file: /cvs/qa/rh_bugzilla_3/template/en/default/bug/edit.html.tmpl,v
>retrieving revision 1.61
>diff -p -u -r1.61 edit.html.tmpl
>--- template/en/default/bug/edit.html.tmpl	5 Dec 2008 20:21:55 -0000	1.61
>+++ template/en/default/bug/edit.html.tmpl	10 Dec 2008 14:51:54 -0000
>@@ -254,7 +254,6 @@
>     <tr>
>       <td id="comment_status_commit">
>         <!-- The table keeps the commit button aligned with the box. -->
>-        <a name="add_comment"></a>
>         [%# REDHAT EXTENSION START 462473 %]
>         [% sort_order = user.settings.comment_sort_order.value %]
> 
>@@ -273,6 +272,7 @@
>         [%# REDHAT EXTENSION START 457022 %]
>         [% IF user.id %]
>           <table><tr><td>
>+          <a name="add_comment"></a>
>           <label for="comment" accesskey="c"><b>Additional <u>C</u>omments</b></label>:
>           [% IF user.is_insider %]
>             <input type="checkbox" name="commentprivacy" value="1"
>

To be more in sync with where upstream has the anchor, move it to right about the [% IF user.id %] line.

>+        <a name="add_comment"></a>
>         [%# REDHAT EXTENSION START 457022 %]
>         [% IF user.id %]
>           <table><tr><td>
>           <label for="comment" accesskey="c"><b>Additional <u>C</u>omments</b></label>:
>           [% IF user.is_insider %]
>             <input type="checkbox" name="commentprivacy" value="1"

After that, review+.

Dave
Comment 3 Noura El hawary 2008-12-10 20:34:08 EST
moved the anchor as you suggested Dave and committed to cvs. should be live next bugzilla update which happens every Thursday.

Noura

Note You need to log in before you can comment on or make changes to this bug.